=== modified file 'database/schema/comments.sql'
--- database/schema/comments.sql	2011-05-18 13:30:36 +0000
+++ database/schema/comments.sql	2011-05-20 09:42:59 +0000
@@ -596,6 +596,7 @@
 COMMENT ON COLUMN DistroSeriesParent.parent_series is 'The parent distroseries';
 COMMENT ON COLUMN DistroSeriesParent.initialized is 'Whether or not the derived series was initialized by copying packages from the parent.';
 COMMENT ON COLUMN DistroSeriesParent.is_overlay is 'Whether or not the derived series is an overlay over the parent series.';
+COMMENT ON COLUMN DistroSeriesParent.ordering is 'The parent ordering. Parents are ordered in ascending order starting from 1.';
 COMMENT ON COLUMN DistroSeriesParent.pocket is 'The pocket for this overlay.';
 COMMENT ON COLUMN DistroSeriesParent.component is 'The component for this overlay.';
 

=== added file 'database/schema/patch-2208-99-0.sql'
--- database/schema/patch-2208-99-0.sql	1970-01-01 00:00:00 +0000
+++ database/schema/patch-2208-99-0.sql	2011-05-20 09:42:59 +0000
@@ -0,0 +1,19 @@
+-- Copyright 2011 Canonical Ltd.  This software is licensed under the
+-- GNU Affero General Public License version 3 (see the file LICENSE).
+
+SET client_min_messages=ERROR;
+
+-- Add a column to order DSP (will be used to control the build order
+-- for overlays).
+ALTER TABLE DistroSeriesParent
+    ADD COLUMN ordering INTEGER NOT NULL DEFAULT 1;
+
+-- Update existing DSPs.
+UPDATE DistroSeriesParent
+    SET ordering = 1;
+
+-- Create index.
+CREATE INDEX distroseriesparent__ordering
+    ON DistroSeriesParent (ordering);
+
+INSERT INTO LaunchpadDatabaseRevision VALUES (2208, 99, 0);

